// ===========================================================================
// CONTENT  : TEST CLASS {ClassName}
// AUTHOR   : M.Duchrow
// HISTORY  :
//  13/01/2008  mdu  CREATED
//
// Copyright (c) 2008-2017, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

import static org.junit.Assert.*;

import org.junit.Test;
import org.pfsw.odem.ContainerClassification;

/**
 * Test class for corresponding business class.
 *
 * @author M.Duchrow
 * @version 1.2
 */
public class ContainerClassificationTest
{
  @Test
  public void test_asString()
  {
    assertEquals("jar", ContainerClassification.JAVA_ARCHIVE.asString());
    assertEquals("dir", ContainerClassification.FILESYSTEM_FOLDER.asString());
    assertEquals("osgi-bundle", ContainerClassification.OSGI_BUNDLE.asString());
    assertEquals("spring-boot-jar", ContainerClassification.SPRING_BOOT_JAR.asString());
    assertEquals("not-found", ContainerClassification.NOT_FOUND.asString());
    assertEquals("component", ContainerClassification.COMPONENT.asString());
    assertEquals("unknown", ContainerClassification.UNKNOWN.asString());
  }

  @Test
  public void test_fromString_1()
  {
    assertTrue(ContainerClassification.JAVA_ARCHIVE == ContainerClassification.fromString("jar"));
    assertTrue(ContainerClassification.FILESYSTEM_FOLDER == ContainerClassification.fromString("dir"));
    assertTrue(ContainerClassification.OSGI_BUNDLE == ContainerClassification.fromString("osgi-bundle"));
    assertTrue(ContainerClassification.SPRING_BOOT_JAR == ContainerClassification.fromString("spring-boot-jar"));
    assertTrue(ContainerClassification.NOT_FOUND == ContainerClassification.fromString("not-found"));
    assertTrue(ContainerClassification.COMPONENT == ContainerClassification.fromString("component"));
    assertTrue(ContainerClassification.UNKNOWN == ContainerClassification.fromString("unknown"));
    assertNull(ContainerClassification.fromString("dummy"));
    assertNull(ContainerClassification.fromString(null));
  }
}
