// ===========================================================================
// CONTENT  : INTERFACE IContainersVisitor
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/01/2007
// HISTORY  :
//  08/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * This interface defines one part of the "Visitor Pattern". It specifies
 * a callback method that gets invoked while iterating through objects that
 * contain IContainer objects.
 * Iteration immedately stops whenever visitContainer(IContainer) returns false.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface IContainersVisitor
{
  /**
   * Will be called for each IContainer object.
   * 
   * @param container The container that gets visited
   * @return true if processing should be continued, otherwise false
   */
  public boolean visitContainer(IContainer container);
}