// ===========================================================================
// CONTENT  : INTERFACE IDependency
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 09/02/2007
// HISTORY  :
//  07/01/2007  mdu  CREATED
//  09/02/2007  mdu  changed	-->	added generic types for source and target elements
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Represents a directed dependency between two IExplorableElements.
 * The type S defines the type of the source element wheeras type T specifies
 * the type of the target element  
 *
 * @author M.Duchrow
 * @version 1.1
 */
public interface IDependency<S extends IExplorableElement, T extends IExplorableElement> extends IObjectProperties
{
  /**
   * Returns the element that depends on the target element
   */
  public S getSourceElement();

  /**
   * Returns the element the source element depends on
   */
  public T getTargetElement();

  /**
   * Returns what kind of dependency it is
   */
  public DependencyClassification getDependencyClassification();
}