// ===========================================================================
// CONTENT  : TEST CLASS {ClassName}
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 13/01/2008
// HISTORY  :
//  13/01/2008  mdu  CREATED
//
// Copyright (c) 2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

import static org.junit.Assert.*;

import org.junit.Test;
import org.pfsw.odem.TypeClassification;

/**
 * Test class for corresponding business class.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class TypeClassificationTest
{
  @Test
  public void test_asString()
  {
    assertEquals("unknown", TypeClassification.UNKNOWN.asString());
    assertEquals("class", TypeClassification.CLASS.asString());
    assertEquals("interface", TypeClassification.INTERFACE.asString());
    assertEquals("enum", TypeClassification.ENUM.asString());
    assertEquals("annotation", TypeClassification.ANNOTATION.asString());
  }

  @Test
  public void test_fromString_1()
  {
    assertTrue(TypeClassification.CLASS == TypeClassification.fromString("class"));
    assertTrue(TypeClassification.INTERFACE == TypeClassification.fromString("interface"));
    assertTrue(TypeClassification.ENUM == TypeClassification.fromString("enum"));
    assertTrue(TypeClassification.ANNOTATION == TypeClassification.fromString("annotation"));
    assertTrue(TypeClassification.UNKNOWN == TypeClassification.fromString("unknown"));
    assertNull(TypeClassification.fromString(null));
  }
}
